com.tibbo.aggregate.common.server

## Interface AlertContextConstants

-     public interface AlertContextConstants

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `A_PENDING_ALERTS`
    `static int` | `CORRECTIVE_ACTION_TYPE_ACKNOWLEDGEMENT`
    `static int` | `CORRECTIVE_ACTION_TYPE_ACTIVATION`
    `static int` | `CORRECTIVE_ACTION_TYPE_DEACTIVATION`
    `static int` | `CORRECTIVE_ACTION_TYPE_DEESCALATION`
    `static int` | `CORRECTIVE_ACTION_TYPE_ESCALATION`
    `static int` | `CORRECTIVE_ACTION_TYPE_RISE`
    `static java.lang.String` | `E_ALERT`
    `static java.lang.String` | `E_ALERTNOTIFY`
    `static java.lang.String` | `E_DEACTIVATION`
    `static java.lang.String` | `E_STARTED`
    `static java.lang.String` | `EF_ALERT_CAUSE`
    `static java.lang.String` | `EF_ALERT_CONTEXT`
    `static java.lang.String` | `EF_ALERT_DATA`
    `static java.lang.String` | `EF_ALERT_DESCRIPTION`
    `static java.lang.String` | `EF_ALERT_DURATION`
    `static java.lang.String` | `EF_ALERT_ENTITY`
    `static java.lang.String` | `EF_ALERT_MESSAGE`
    `static java.lang.String` | `EF_ALERT_STARTED`
    `static java.lang.String` | `EF_ALERT_TRIGGER`
    `static java.lang.String` | `EF_ALERTNOTIFY_ALERT_EVENT_ID`
    `static java.lang.String` | `EF_ALERTNOTIFY_CAUSE`
    `static java.lang.String` | `EF_ALERTNOTIFY_CONTEXT`
    `static java.lang.String` | `EF_ALERTNOTIFY_DATA`
    `static java.lang.String` | `EF_ALERTNOTIFY_DESCRIPTION`
    `static java.lang.String` | `EF_ALERTNOTIFY_ENTITY`
    `static java.lang.String` | `EF_ALERTNOTIFY_MESSAGE`
    `static java.lang.String` | `EF_ALERTNOTIFY_TRIGGER`
    `static java.lang.String` | `EF_DEACTIVATION_CONTEXT`
    `static java.lang.String` | `EF_DEACTIVATION_DURATION`
    `static java.lang.String` | `EF_DEACTIVATION_ID`
    `static java.lang.String` | `EF_DEACTIVATOR_DATA`
    `static int` | `INSTANCE_TYPE_ACTIVE`
    `static int` | `INSTANCE_TYPE_PENDING`
    `static int` | `STATUS_ACTIVE`
    `static int` | `STATUS_DISABLED`
    `static int` | `STATUS_ENABLED`
    `static int` | `STATUS_ESCALATED`
    `static java.lang.String` | `V_ACTIVE_INSTANCES`
    `static java.lang.String` | `V_ALERT_ACTIONS`
    `static java.lang.String` | `V_ESCALATION`
    `static java.lang.String` | `V_EVENT_TRIGGER_STATUS`
    `static java.lang.String` | `V_EVENT_TRIGGERS`
    `static java.lang.String` | `V_INTERACTIVE_ACTIONS`
    `static java.lang.String` | `V_NOTIFICATIONS`
    `static java.lang.String` | `V_PERSISTENT_STATUS`
    `static java.lang.String` | `V_STATUS`
    `static java.lang.String` | `V_VARIABLE_TRIGGER_STATUS`
    `static java.lang.String` | `V_VARIABLE_TRIGGERS`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_CAUSE`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_DATA`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_EVENT`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_KEY`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_LEVEL`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_MESSAGE`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_SOURCE`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_TIME`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_TRIGGER`
    `static java.lang.String` | `VF_ACTIVE_INSTANCES_TYPE`
    `static java.lang.String` | `VF_ALERT_ACTIONS_ACTION`
    `static java.lang.String` | `VF_ALERT_ACTIONS_CONDITION`
    `static java.lang.String` | `VF_ALERT_ACTIONS_EXECUTION_TYPE`
    `static java.lang.String` | `VF_ALERT_ACTIONS_INPUT`
    `static java.lang.String` | `VF_ALERT_ACTIONS_MASK`
    `static java.lang.String` | `VF_ALERT_ACTIONS_RUN_FROM_SOURCE`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_ACTIVE`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_DETAILS`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_DETAILS_ACTIVE`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_DETAILS_CONTEXT`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_DETAILS_EVENTS`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_DETAILS_KEY`
    `static java.lang.String` | `VF_EVENT_TRIGGER_STATUS_TRIGGER`
    `static java.lang.String` | `VF_INTERACTIVE_ACTIONS_ACTION`
    `static java.lang.String` | `VF_INTERACTIVE_ACTIONS_EXECUTION_TYPE`
    `static java.lang.String` | `VF_INTERACTIVE_ACTIONS_INPUT`
    `static java.lang.String` | `VF_INTERACTIVE_ACTIONS_MASK`
    `static java.lang.String` | `VF_INTERACTIVE_ACTIONS_RUN_FROM_SOURCE`
    `static java.lang.String` | `VF_NOTIFICATIONS_ACK_REQUIRED`
    `static java.lang.String` | `VF_NOTIFICATIONS_ADDITIONAL_MAIL_RECIPIENTS`
    `static java.lang.String` | `VF_NOTIFICATIONS_LIFETIME`
    `static java.lang.String` | `VF_NOTIFICATIONS_MAIL_RECIPIENTS`
    `static java.lang.String` | `VF_NOTIFICATIONS_MAIL_RECIPIENTS_USERNAME`
    `static java.lang.String` | `VF_NOTIFICATIONS_MAIL_TO_OWNER`
    `static java.lang.String` | `VF_NOTIFICATIONS_NOTIFICATION_NECESSITY_EXPRESSION`
    `static java.lang.String` | `VF_NOTIFICATIONS_NOTIFY_OWNER`
    `static java.lang.String` | `VF_NOTIFICATIONS_SMS_RECIPIENTS`
    `static java.lang.String` | `VF_NOTIFICATIONS_SMS_RECIPIENTS_PHONE`
    `static java.lang.String` | `VF_NOTIFICATIONS_SOUND`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_ESCALATED`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_BEAN`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_CONTEXT`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_ACTIVE`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_ALERT`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_EVENTS`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_EVENTS_ID`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_KEY`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_BEAN`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_CONTEXT`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_ACTIVE`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_ALERT`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_FLAPPING`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_FLAPPING_ALERT`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_KEY`
    `static java.lang.String` | `VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_TIME`
    `static java.lang.String` | `VF_STATUS_ENABLED`
    `static java.lang.String` | `VF_STATUS_ESCALATED`
    `static java.lang.String` | `VF_STATUS_ESCALATION_REASON`
    `static java.lang.String` | `VF_STATUS_MAX_PENDING_TIME`
    `static java.lang.String` | `VF_STATUS_PENDING_INSTANCE_COUNT`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_ACTIVE`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_DETAILS`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_DETAILS_ACTIVE`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_DETAILS_CONTEXT`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_DETAILS_FLAPPING`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_DETAILS_KEY`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_DETAILS_TIME`
    `static java.lang.String` | `VF_VARIABLE_TRIGGER_STATUS_TRIGGER`

- - ### Field Detail

    - #### INSTANCE_TYPE_PENDING

          static final int INSTANCE_TYPE_PENDING

      See Also:
        Constant Field Values

    - #### INSTANCE_TYPE_ACTIVE

          static final int INSTANCE_TYPE_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_ENABLED

          static final int STATUS_ENABLED

      See Also:
        Constant Field Values

    - #### STATUS_DISABLED

          static final int STATUS_DISABLED

      See Also:
        Constant Field Values

    - #### STATUS_ACTIVE

          static final int STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### STATUS_ESCALATED

          static final int STATUS_ESCALATED

      See Also:
        Constant Field Values

    - #### CORRECTIVE_ACTION_TYPE_RISE

          static final int CORRECTIVE_ACTION_TYPE_RISE

      See Also:
        Constant Field Values

    - #### CORRECTIVE_ACTION_TYPE_ACTIVATION

          static final int CORRECTIVE_ACTION_TYPE_ACTIVATION

      See Also:
        Constant Field Values

    - #### CORRECTIVE_ACTION_TYPE_DEACTIVATION

          static final int CORRECTIVE_ACTION_TYPE_DEACTIVATION

      See Also:
        Constant Field Values

    - #### CORRECTIVE_ACTION_TYPE_ESCALATION

          static final int CORRECTIVE_ACTION_TYPE_ESCALATION

      See Also:
        Constant Field Values

    - #### CORRECTIVE_ACTION_TYPE_DEESCALATION

          static final int CORRECTIVE_ACTION_TYPE_DEESCALATION

      See Also:
        Constant Field Values

    - #### CORRECTIVE_ACTION_TYPE_ACKNOWLEDGEMENT

          static final int CORRECTIVE_ACTION_TYPE_ACKNOWLEDGEMENT

      See Also:
        Constant Field Values

    - #### V_ALERT_ACTIONS

          static final java.lang.String V_ALERT_ACTIONS

      See Also:
        Constant Field Values

    - #### V_ESCALATION

          static final java.lang.String V_ESCALATION

      See Also:
        Constant Field Values

    - #### V_EVENT_TRIGGERS

          static final java.lang.String V_EVENT_TRIGGERS

      See Also:
        Constant Field Values

    - #### V_VARIABLE_TRIGGERS

          static final java.lang.String V_VARIABLE_TRIGGERS

      See Also:
        Constant Field Values

    - #### V_STATUS

          static final java.lang.String V_STATUS

      See Also:
        Constant Field Values

    - #### V_EVENT_TRIGGER_STATUS

          static final java.lang.String V_EVENT_TRIGGER_STATUS

      See Also:
        Constant Field Values

    - #### V_VARIABLE_TRIGGER_STATUS

          static final java.lang.String V_VARIABLE_TRIGGER_STATUS

      See Also:
        Constant Field Values

    - #### V_NOTIFICATIONS

          static final java.lang.String V_NOTIFICATIONS

      See Also:
        Constant Field Values

    - #### V_INTERACTIVE_ACTIONS

          static final java.lang.String V_INTERACTIVE_ACTIONS

      See Also:
        Constant Field Values

    - #### V_ACTIVE_INSTANCES

          static final java.lang.String V_ACTIVE_INSTANCES

      See Also:
        Constant Field Values

    - #### V_PERSISTENT_STATUS

          static final java.lang.String V_PERSISTENT_STATUS

      See Also:
        Constant Field Values

    - #### E_ALERT

          static final java.lang.String E_ALERT

      See Also:
        Constant Field Values

    - #### E_ALERTNOTIFY

          static final java.lang.String E_ALERTNOTIFY

      See Also:
        Constant Field Values

    - #### E_DEACTIVATION

          static final java.lang.String E_DEACTIVATION

      See Also:
        Constant Field Values

    - #### E_STARTED

          static final java.lang.String E_STARTED

      See Also:
        Constant Field Values

    - #### A_PENDING_ALERTS

          static final java.lang.String A_PENDING_ALERTS

      See Also:
        Constant Field Values

    - #### VF_ALERT_ACTIONS_EXECUTION_TYPE

          static final java.lang.String VF_ALERT_ACTIONS_EXECUTION_TYPE

      See Also:
        Constant Field Values

    - #### VF_ALERT_ACTIONS_MASK

          static final java.lang.String VF_ALERT_ACTIONS_MASK

      See Also:
        Constant Field Values

    - #### VF_ALERT_ACTIONS_ACTION

          static final java.lang.String VF_ALERT_ACTIONS_ACTION

      See Also:
        Constant Field Values

    - #### VF_ALERT_ACTIONS_INPUT

          static final java.lang.String VF_ALERT_ACTIONS_INPUT

      See Also:
        Constant Field Values

    - #### VF_ALERT_ACTIONS_CONDITION

          static final java.lang.String VF_ALERT_ACTIONS_CONDITION

      See Also:
        Constant Field Values

    - #### VF_ALERT_ACTIONS_RUN_FROM_SOURCE

          static final java.lang.String VF_ALERT_ACTIONS_RUN_FROM_SOURCE

      See Also:
        Constant Field Values

    - #### VF_INTERACTIVE_ACTIONS_EXECUTION_TYPE

          static final java.lang.String VF_INTERACTIVE_ACTIONS_EXECUTION_TYPE

      See Also:
        Constant Field Values

    - #### VF_INTERACTIVE_ACTIONS_MASK

          static final java.lang.String VF_INTERACTIVE_ACTIONS_MASK

      See Also:
        Constant Field Values

    - #### VF_INTERACTIVE_ACTIONS_ACTION

          static final java.lang.String VF_INTERACTIVE_ACTIONS_ACTION

      See Also:
        Constant Field Values

    - #### VF_INTERACTIVE_ACTIONS_INPUT

          static final java.lang.String VF_INTERACTIVE_ACTIONS_INPUT

      See Also:
        Constant Field Values

    - #### VF_INTERACTIVE_ACTIONS_RUN_FROM_SOURCE

          static final java.lang.String VF_INTERACTIVE_ACTIONS_RUN_FROM_SOURCE

      See Also:
        Constant Field Values

    - #### VF_STATUS_ENABLED

          static final java.lang.String VF_STATUS_ENABLED

      See Also:
        Constant Field Values

    - #### VF_STATUS_PENDING_INSTANCE_COUNT

          static final java.lang.String VF_STATUS_PENDING_INSTANCE_COUNT

      See Also:
        Constant Field Values

    - #### VF_STATUS_MAX_PENDING_TIME

          static final java.lang.String VF_STATUS_MAX_PENDING_TIME

      See Also:
        Constant Field Values

    - #### VF_STATUS_ESCALATED

          static final java.lang.String VF_STATUS_ESCALATED

      See Also:
        Constant Field Values

    - #### VF_STATUS_ESCALATION_REASON

          static final java.lang.String VF_STATUS_ESCALATION_REASON

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_EVENT

          static final java.lang.String VF_ACTIVE_INSTANCES_EVENT

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_TYPE

          static final java.lang.String VF_ACTIVE_INSTANCES_TYPE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_TIME

          static final java.lang.String VF_ACTIVE_INSTANCES_TIME

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_LEVEL

          static final java.lang.String VF_ACTIVE_INSTANCES_LEVEL

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_SOURCE

          static final java.lang.String VF_ACTIVE_INSTANCES_SOURCE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_KEY

          static final java.lang.String VF_ACTIVE_INSTANCES_KEY

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_CAUSE

          static final java.lang.String VF_ACTIVE_INSTANCES_CAUSE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_MESSAGE

          static final java.lang.String VF_ACTIVE_INSTANCES_MESSAGE

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_TRIGGER

          static final java.lang.String VF_ACTIVE_INSTANCES_TRIGGER

      See Also:
        Constant Field Values

    - #### VF_ACTIVE_INSTANCES_DATA

          static final java.lang.String VF_ACTIVE_INSTANCES_DATA

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_TRIGGER

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_TRIGGER

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_ACTIVE

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_DETAILS

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_DETAILS

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_DETAILS_CONTEXT

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_DETAILS_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_DETAILS_KEY

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_DETAILS_KEY

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_DETAILS_ACTIVE

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_DETAILS_ACTIVE

      See Also:
        Constant Field Values

    - #### VF_EVENT_TRIGGER_STATUS_DETAILS_EVENTS

          static final java.lang.String VF_EVENT_TRIGGER_STATUS_DETAILS_EVENTS

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_TRIGGER

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_TRIGGER

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_ACTIVE

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_ACTIVE

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_DETAILS

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_DETAILS

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_DETAILS_CONTEXT

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_DETAILS_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_DETAILS_KEY

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_DETAILS_KEY

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_DETAILS_ACTIVE

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_DETAILS_ACTIVE

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_DETAILS_TIME

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_DETAILS_TIME

      See Also:
        Constant Field Values

    - #### VF_VARIABLE_TRIGGER_STATUS_DETAILS_FLAPPING

          static final java.lang.String VF_VARIABLE_TRIGGER_STATUS_DETAILS_FLAPPING

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_NOTIFY_OWNER

          static final java.lang.String VF_NOTIFICATIONS_NOTIFY_OWNER

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_NOTIFICATION_NECESSITY_EXPRESSION

          static final java.lang.String VF_NOTIFICATIONS_NOTIFICATION_NECESSITY_EXPRESSION

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_ACK_REQUIRED

          static final java.lang.String VF_NOTIFICATIONS_ACK_REQUIRED

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_LIFETIME

          static final java.lang.String VF_NOTIFICATIONS_LIFETIME

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_SOUND

          static final java.lang.String VF_NOTIFICATIONS_SOUND

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_MAIL_TO_OWNER

          static final java.lang.String VF_NOTIFICATIONS_MAIL_TO_OWNER

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_MAIL_RECIPIENTS

          static final java.lang.String VF_NOTIFICATIONS_MAIL_RECIPIENTS

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_ADDITIONAL_MAIL_RECIPIENTS

          static final java.lang.String VF_NOTIFICATIONS_ADDITIONAL_MAIL_RECIPIENTS

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_SMS_RECIPIENTS

          static final java.lang.String VF_NOTIFICATIONS_SMS_RECIPIENTS

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_SMS_RECIPIENTS_PHONE

          static final java.lang.String VF_NOTIFICATIONS_SMS_RECIPIENTS_PHONE

      See Also:
        Constant Field Values

    - #### VF_NOTIFICATIONS_MAIL_RECIPIENTS_USERNAME

          static final java.lang.String VF_NOTIFICATIONS_MAIL_RECIPIENTS_USERNAME

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_BEAN

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_BEAN

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_CONTEXT

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_KEY

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_KEY

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_ALERT

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_ALERT

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_ACTIVE

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_ACTIVE

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_EVENTS

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_EVENTS

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_EVENTS_ID

          static final java.lang.String VF_PERSISTENT_STATUS_EVENT_TRIGGERS_CONTEXTS_STATUSES_EVENTS_ID

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_BEAN

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_BEAN

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_CONTEXT

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_CONTEXT

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_KEY

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_KEY

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_ALERT

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_ALERT

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_ACTIVE

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_ACTIVE

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_TIME

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_TIME

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_FLAPPING

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_FLAPPING

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_FLAPPING_ALERT

          static final java.lang.String VF_PERSISTENT_STATUS_VARIABLE_TRIGGERS_CONTEXTS_STATUSES_FLAPPING_ALERT

      See Also:
        Constant Field Values

    - #### VF_PERSISTENT_STATUS_ESCALATED

          static final java.lang.String VF_PERSISTENT_STATUS_ESCALATED

      See Also:
        Constant Field Values

    - #### EF_ALERT_DESCRIPTION

          static final java.lang.String EF_ALERT_DESCRIPTION

      See Also:
        Constant Field Values

    - #### EF_ALERT_CONTEXT

          static final java.lang.String EF_ALERT_CONTEXT

      See Also:
        Constant Field Values

    - #### EF_ALERT_ENTITY

          static final java.lang.String EF_ALERT_ENTITY

      See Also:
        Constant Field Values

    - #### EF_ALERT_CAUSE

          static final java.lang.String EF_ALERT_CAUSE

      See Also:
        Constant Field Values

    - #### EF_ALERT_MESSAGE

          static final java.lang.String EF_ALERT_MESSAGE

      See Also:
        Constant Field Values

    - #### EF_ALERT_TRIGGER

          static final java.lang.String EF_ALERT_TRIGGER

      See Also:
        Constant Field Values

    - #### EF_ALERT_DATA

          static final java.lang.String EF_ALERT_DATA

      See Also:
        Constant Field Values

    - #### EF_ALERT_DURATION

          static final java.lang.String EF_ALERT_DURATION

      See Also:
        Constant Field Values

    - #### EF_DEACTIVATION_ID

          static final java.lang.String EF_DEACTIVATION_ID

      See Also:
        Constant Field Values

    - #### EF_DEACTIVATION_CONTEXT

          static final java.lang.String EF_DEACTIVATION_CONTEXT

      See Also:
        Constant Field Values

    - #### EF_DEACTIVATION_DURATION

          static final java.lang.String EF_DEACTIVATION_DURATION

      See Also:
        Constant Field Values

    - #### EF_DEACTIVATOR_DATA

          static final java.lang.String EF_DEACTIVATOR_DATA

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_DESCRIPTION

          static final java.lang.String EF_ALERTNOTIFY_DESCRIPTION

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_CONTEXT

          static final java.lang.String EF_ALERTNOTIFY_CONTEXT

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_ENTITY

          static final java.lang.String EF_ALERTNOTIFY_ENTITY

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_CAUSE

          static final java.lang.String EF_ALERTNOTIFY_CAUSE

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_MESSAGE

          static final java.lang.String EF_ALERTNOTIFY_MESSAGE

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_TRIGGER

          static final java.lang.String EF_ALERTNOTIFY_TRIGGER

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_DATA

          static final java.lang.String EF_ALERTNOTIFY_DATA

      See Also:
        Constant Field Values

    - #### EF_ALERTNOTIFY_ALERT_EVENT_ID

          static final java.lang.String EF_ALERTNOTIFY_ALERT_EVENT_ID

      See Also:
        Constant Field Values

    - #### EF_ALERT_STARTED

          static final java.lang.String EF_ALERT_STARTED

      See Also:
        Constant Field Values